## golang-github-prometheus-client-model 0.0.2+git20171117.99fa1f4

=== Makefile ===
# Copyright 2013 Prometheus Team
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

# http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

KEY_ID ?= _DEFINE_ME_

all: cpp go java python ruby

SUFFIXES:

cpp: cpp/metrics.pb.cc cpp/metrics.pb.h

cpp/metrics.pb.cc: metrics.proto
	protoc $< --cpp_out=cpp/

cpp/metrics.pb.h: metrics.proto
	protoc $< --cpp_out=cpp/

go: go/metrics.pb.go

go/metrics.pb.go: metrics.proto
	protoc $< --go_out=go/

java: src/main/java/io/prometheus/client/Metrics.java pom.xml
	mvn clean compile package

src/main/java/io/prometheus/client/Metrics.java: metrics.proto
	protoc $< --java_out=src/main/java

python: python/prometheus/client/model/metrics_pb2.py

python/prometheus/client/model/metrics_pb2.py: metrics.proto
	mkdir -p python/prometheus/client/model
	protoc $< --python_out=python/prometheus/client/model

ruby:
	$(MAKE) -C ruby build

clean:
	-rm -rf cpp/*
	-rm -rf go/*
	-rm -rf java/*
	-rm -rf python/*
	-$(MAKE) -C ruby clean
	-mvn clean

maven-deploy-snapshot: java
	mvn clean deploy -Dgpg.keyname=$(KEY_ID) -DperformRelease=true

maven-deploy-release: java
	mvn clean release:clean release:prepare release:perform -Dgpg.keyname=$(KEY_ID) -DperformRelease=true

.PHONY: all clean cpp go java maven-deploy-snapshot maven-deploy-release python ruby

## golang-github-prometheus-client-model 0.0.2+git20150212.12.fa8ad6f

=== debian/changelog ===
golang-github-prometheus-client-model (0.0.2+git20150212.12.fa8ad6f-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Martín Ferrari ]
  * Add myself to Uploaders.
  * Make dependency on dh-golang versioned (XS-Go-Import-Path support).
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Remove golang-go dependency from -dev package.
  * debian/control: Replace golang-go with golang-any in Build-Depends.

 -- Martín Ferrari <tincho@debian.org>  Sun, 23 Oct 2016 23:29:29 +0200

golang-github-prometheus-client-model (0.0.2+git20150212.12.fa8ad6f-1) unstable; urgency=medium

  * Initial release (Closes: #818580).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 18 Mar 2016 20:50:32 +1100

=== debian/control ===
Source: golang-github-prometheus-client-model
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.10),
               golang-any,
               golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
               protobuf-compiler,
Standards-Version: 3.9.8
Homepage: https://github.com/prometheus/client_model
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-prometheus-client-model.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-prometheus-client-model.git
XS-Go-Import-Path: github.com/prometheus/client_model

Package: golang-github-prometheus-client-model-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
Description: data model artifacts for Prometheus
 Golang data model artifacts for Prometheus.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

go/metrics.pb.go:
	$(MAKE) go/metrics.pb.go

override_dh_auto_configure: go/metrics.pb.go
	dh_auto_configure

## golang-github-prometheus-client-model 0.0.2+git20171117.99fa1f4

=== debian/changelog ===
golang-github-prometheus-client-model (0.0.2+git20171117.99fa1f4-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * Stop using pristine-tar, rename branches.
  * New upstream snapshot; only trivial changes.
  * Use go generate to avoid depending on special make rules.
  * Automated cme fixes.
  * Raise dh compat to 11.

 -- Martín Ferrari <tincho@debian.org>  Mon, 21 May 2018 14:05:44 +0000

=== debian/control ===
Source: golang-github-prometheus-client-model
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang (>= 1.10),
               golang-any,
               golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
               protobuf-compiler,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-model
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-model.git
Homepage: https://github.com/prometheus/client_model
XS-Go-Import-Path: github.com/prometheus/client_model

Package: golang-github-prometheus-client-model-dev
Architecture: all
Depends: golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: data model artifacts for Prometheus
 Golang data model artifacts for Prometheus.

## golang-github-prometheus-client-model 0.2.0

=== debian/changelog ===
golang-github-prometheus-client-model (0.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

  [ Guillem Jover ]
  * Move note about license location on Debian systems into a Comment field
  * Mark -dev package as Multi-Arch:foreign
  * Switch to Standards-Version 4.5.1 (no changes needed)
  * Decapitalize synopsis first word
  * Update gitlab-ci.yml from latest upstream version
  * Set the build directory to _build
  * Update gitignore entries

 -- Guillem Jover <gjover@sipwise.com>  Fri, 29 Jan 2021 23:23:41 +0100

golang-github-prometheus-client-model (0.2.0-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Update Standards-Version to 4.5.0 (no changes).
  * Bump debhelper-compat version to 13.
  * Add debian/watch file.
  * Add debian/upstream/metadata file.
  * Update maintainer email addresses / names.
  * Add myself to uploaders.

 -- Martina Ferrari <tina@debian.org>  Wed, 17 Jun 2020 14:45:18 +0000

=== debian/control ===
Source: golang-github-prometheus-client-model
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.10),
               golang-any,
               golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
               protobuf-compiler,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-model
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-model.git
Homepage: https://github.com/prometheus/client_model
XS-Go-Import-Path: github.com/prometheus/client_model

Package: golang-github-prometheus-client-model-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-goprotobuf-dev | golang-github-golang-protobuf-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: data model artifacts for Prometheus
 Golang data model artifacts for Prometheus.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/client_model-$1\.tar\.gz/ \
  https://github.com/prometheus/client_model/tags .*/v?(\d\S+)\.tar\.gz

## golang-github-prometheus-client-model 0.3.0

=== debian/changelog ===
golang-github-prometheus-client-model (0.3.0-3) unstable; urgency=medium

  * Team upload
  * Allow golang-github-golang-protobuf-1-5-dev as optional Depends

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 07 Jan 2023 17:27:42 +0000

golang-github-prometheus-client-model (0.3.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no changes)
  * Drop non-existent alternative dependency
    golang-github-golang-protobuf-dev
  * Replace golang-goprotobuf-dev dependency, which is now a transitional
    dummy package, with protoc-gen-go-1-3 and
    golang-github-golang-protobuf-1-3-dev
  * d/control: change Section to golang
  * Refresh patch 01-Use_go_generate.patch to map
    google/protobuf/timestamp.proto to
    github.com/golang/protobuf/ptypes/timestamp, preserving the behaviour of
    protoc < 3.14 (Closes: #1026696)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 22 Dec 2022 09:07:11 +0000

golang-github-prometheus-client-model (0.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 08 Nov 2022 10:31:20 +0000

golang-github-prometheus-client-model (0.2.0-3) unstable; urgency=medium

  * Team upload.
  * Update gbp.conf following latest Go Team workflow.
  * Update debian/watch file.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Remove ${shlibs:Depends} from -dev Depends field.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 03 Dec 2021 16:00:39 +0100

=== debian/control ===
Source: golang-github-prometheus-client-model
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-golang-protobuf-1-3-dev,
               protobuf-compiler,
               protoc-gen-go-1-3
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-model
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-model.git
Homepage: https://github.com/prometheus/client_model
XS-Go-Import-Path: github.com/prometheus/client_model

Package: golang-github-prometheus-client-model-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
         ${misc:Depends},
Description: data model artifacts for Prometheus
 Golang data model artifacts for Prometheus.

## golang-github-prometheus-client-model 0.4.0

=== debian/changelog ===
golang-github-prometheus-client-model (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Update protobuf dependencies:
    - replace protoc-gen-go-1-3 with protoc-gen-go
    - replace golang-github-golang-protobuf-1-{3,5}-dev with
      golang-google-protobuf-dev
  * Drop no longer necessary mapping of timestamp.proto when generating
    metrics.pb.go

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 19 Jun 2023 08:23:47 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
-               golang-github-golang-protobuf-1-3-dev,
+               golang-google-protobuf-dev,
                protobuf-compiler,
-               protoc-gen-go-1-3
+               protoc-gen-go,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-model
@@ -22,7 +22,7 @@
 Package: golang-github-prometheus-client-model-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
+Depends: golang-google-protobuf-dev,
          ${misc:Depends},
 Description: data model artifacts for Prometheus
  Golang data model artifacts for Prometheus.

## golang-github-prometheus-client-model 0.5.0

=== debian/changelog ===
golang-github-prometheus-client-model (0.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 03 Oct 2023 23:28:22 +0000

golang-github-prometheus-client-model (0.4.0-2) unstable; urgency=medium

  * Declare Breaks due to backwards incompatible protobuf API changes:
    - Breaks: golang-github-prometheus-client-golang-dev (<< 1.16.0)
    - Breaks: golang-github-prometheus-common-dev (<< 0.44.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 20 Jun 2023 14:45:26 +0000

## golang-github-prometheus-client-model 0.6.0

=== debian/changelog ===
golang-github-prometheus-client-model (0.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 22 Feb 2024 01:14:44 +0000

=== debian/control ===
--- 
+++ 
@@ -24,5 +24,7 @@
 Multi-Arch: foreign
 Depends: golang-google-protobuf-dev,
          ${misc:Depends},
+Breaks: golang-github-prometheus-client-golang-dev (<< 1.16.0),
+        golang-github-prometheus-common-dev (<< 0.44.0),
 Description: data model artifacts for Prometheus
  Golang data model artifacts for Prometheus.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/prometheus/client_model/tags .*/v?(\d\S+)\.tar\.gz

## golang-github-prometheus-client-model 0.6.2

=== debian/changelog ===
golang-github-prometheus-client-model (0.6.2-1) unstable; urgency=medium

  * New upstream release (no code changes)
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Aug 2025 21:49:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: golang-github-prometheus-client-model
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
                golang-google-protobuf-dev,
                protobuf-compiler,
                protoc-gen-go,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-model
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-client-model.git
 Homepage: https://github.com/prometheus/client_model

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/prometheus/client_model/tags .*/v?(\d\S*)\.tar\.gz debian
